Crusader Kings II

| |

Follow 252

Europe is in turmoil. The lands are fragmented into petty fiefs, the emperor struggles with the Pope, and the Holy Father declares that all those who go to liberate the Holy Land will be freed of their sins. Now is the time for greatness.

Latest tweets from @pdxinteractive, @pdx_dev_studio

RT @TyrannyGame: Don't miss your chance to get 46% OFF on the @TyrannyGame and Pillars of Eternity in the @steam_games #WeekendDeal!… T.co

15hours ago by pdxinteractive

Join us at #PDXCON2017 and see Project Lead @AnnaNorrevik talk about the process of making @PDX_Dev_Studio titles!… T.co

Feb 24 2017 by pdxinteractive

RT @Cities_PDX: "The team at Colossal has been working on stuff that we will be able to talk about soonish - yes, this is a teaser.… T.co

Feb 24 2017 by pdxinteractive

RT @Martin_Anward: In @StellarisGame 1.5 'Banks', Pops that are saved from slavery/purge by conquest of their planet will no longer be… T.co

Feb 24 2017 by pdx_dev_studio

RT @CrusaderKings: Monks and Mystics will release on March 7th! Go to Pdxint.at to learn more! T.co

Feb 24 2017 by pdx_dev_studio

RT @HOI_Game: Wanna check out what Techraptor.net has to say about our Torch 1.3.3 patch? Techraptor.net

Feb 24 2017 by pdx_dev_studio

Sadly there will be no #FridayFriendz stream this week as we have some tinkering to do in the studio! We'll be back in due time!

Feb 24 2017 by pdxinteractive

RT @HOI_Game: If you are crashing after patching to 1.3.3, try disabling your mods. You can also stay on 1.3.2 until your mods has been updated.

Feb 24 2017 by pdx_dev_studio

Our very own Kuma-Kun @PDS_Metal_King is doing #FancyFriday just right! T.co

Feb 24 2017 by pdx_dev_studio

RT @Cities_PDX: Very neat update from the people of the Network Extensions mod! Are you gonna use it? Ow.ly T.co

Feb 23 2017 by pdxinteractive

129 ratings - share yours:

Sort

Latest Downloads

Only registered members can share their thoughts. So come on! Join the community today and join in the conversation.

You are not logged in, join the community or sign in with your social account:

  • Broly_Gaming Broly_Gaming

    cant wait to play some mods!

    Reply
    4 +
  • mat5030 mat5030

    So no more new mods ! this is getting boring here!!

    Reply
    -4 +
  • Midwestftw Midwestftw

    (buried)

    where do I get this mod?

    Reply
    -7 +
  • #3Guest Guest

    This comment is currently awaiting admin approval, join now to view.

  • AubeSangante AubeSangante

    (buried)

    FUCKKK THIS GAMEEEEEE AND ITS UPDATEEEE (Yep i'm ****** becuse again i can't play the wathammer mod)

    Reply
    -17 +
    • Jared1494 Jared1494

      You do realize that not only can you turn auto updates off, you can roll back the version you're playing on right? Can't really be mad at the game because you don't know the easy fixes

      Reply
      6 +
      • AubeSangante AubeSangante

        (buried)

        No i can't because the mod is compatible only with 2.4.1 and you can't roleback to 2.4.1. You thinck i didn't try to roleback to he previous version ? Yes i ******* did it and mod still crash.

        Reply
        -15 +
      • #6Guest Guest

        chill out you whiney betch

        Reply
        10 +
      • AubeSangante AubeSangante

        (buried)

        Yeah hide behind he guest profile sack of **** i curse your whole ******* family on fifteen generation and hope your ball become big as chickpea. And don't ever thinck that you can talk like that to me.

        Reply
        -16 +
      • Isimiel Isimiel

        Would you prefer Mr bitch

        Reply
        6 +
      • Vasikle Vasikle

        Go to beta and select other version of the game , wait for it to download and bam thats all

        Reply
        8 +
    • Vasikle Vasikle

      Go to advanced options , then bata and change the version

      Reply
      2 +

Series / Expansions